Subject: Re: bug#56635: 29.0.50; [PATCH] hide-show in python-mode supports ONLY function and class blocks

From: Dima Kogan <[email-masked]>
Date: Mon, 15 Aug 2022 10:16:14 -0700

Thanks for working on this. I'll try it out in a bit. How do you usually
test it?

The main modification is in

  (define-derived-mode python-mode prog-mode "Python" ...
    ...
    (add-to-list
     'hs-special-modes-alist
     `(python-mode
       ....

Re-evaluating the (define-derived-mode ...) form doesn't do it,
obviously. I've tried to manually update hs-special-modes-alist, but
that doesn't work right either. What do you do? Ideally I'd like to drop
something into my ~/.emacs to use the patched logic to long-term test
this, but I haven't been able to figure it out.